Subject: Re: [PATCH] Fix Maple PATA IRQ assignment.

From: Alan <[email-masked]>
Date: Mon, 1 Jan 2007 21:22:36 +0000

On Mon, 01 Jan 2007 19:31:15 +0000
David Woodhouse <[email-masked]> wrote:
> There's probably a better way to do this -- especially if we observe
> that the _only_ case in which this seemingly-generic
> "pci_get_legacy_ide_irq()" function returns anything other than 14 and
> 15 for primary and secondary respectively is the case of the AMD8111 on
> the Maple board -- couldn't we handle that with a special case in the
> pata_amd driver, or perhaps with a PCI quirk for Maple to switch it into
> native mode during early boot and assign resources properly?

There are lots of platforms where the primary/secondary address depends
upon the board/architecture. PPC actually has functions for this in the
machine specific goo used by the old driver for one example
> 
> Signed-off-by: David Woodhouse <[email-masked]>

NAK: Alan Cox <[email-masked]>

Please reuse the existing PPC methods that drivers/ide calls into.